# Class ReplicatedContext.MultiEnumeration<T>

java.lang.Object
org.apache.catalina.ha.context.ReplicatedContext.MultiEnumeration<T>

All Implemented Interfaces:
  `Enumeration<T>`

Enclosing class:
  `ReplicatedContext`

protected static class ReplicatedContext.MultiEnumeration<T> extends Object implements Enumeration<T>

## Constructor Summary

Constructors
Constructor
Description
`MultiEnumeration(Enumeration<T>[] enumerations)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasMoreElements()`
`T`
`nextElement()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Enumeration

`asIterator`

## Constructor Details

### MultiEnumeration

public MultiEnumeration(Enumeration<T>[] enumerations)

## Method Details

### hasMoreElements

public boolean hasMoreElements()

Specified by:
  `hasMoreElements` in interface `Enumeration<T>`

### nextElement

public T nextElement()

Specified by:
  `nextElement` in interface `Enumeration<T>`